(function($, trackingCodePersist) {

  Drupal.behaviors.trackingCodePersistForm = {
    attach: function (context, settings) {
      if (settings.trackingCodePersistForm && $.isArray(settings.trackingCodePersistForm)) {
        $.each(settings.trackingCodePersistForm, function(idx, item) {
          $(context).find('#' + String.prototype.toString.call(item)).once('tracking-code-persist', function() {
            var $hidden_el = $(this);
            $hidden_el.val(trackingCodePersist.retrieveFromCookie(true));
          });
        });
      }
    }
  };

})(jQuery, Drupal.trackingCodePersist);
